Package org.apache.batchee.container.util

## Class PartitionsBuilderConfig

- java.lang.Object
- - org.apache.batchee.container.util.PartitionsBuilderConfig

-     public class PartitionsBuilderConfig
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PartitionsBuilderConfig​(List<JSLJob> jobModels, Properties[] partitionProperties, BlockingQueue<PartitionDataWrapper> analyzerQueue, BlockingQueue<BatchPartitionWorkUnit> completedQueue, long rootJobExecutionId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BlockingQueue<PartitionDataWrapper>` | `getAnalyzerQueue()` |
    `BlockingQueue<BatchPartitionWorkUnit>` | `getCompletedQueue()` |
    `List<JSLJob>` | `getJobModels()` |
    `Properties[]` | `getPartitionProperties()` |
    `long` | `getRootJobExecutionId()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionsBuilderConfig

          public PartitionsBuilderConfig​(List<JSLJob> jobModels,
                                         Properties[] partitionProperties,
                                         BlockingQueue<PartitionDataWrapper> analyzerQueue,
                                         BlockingQueue<BatchPartitionWorkUnit> completedQueue,
                                         long rootJobExecutionId)

  - ### Method Detail

    - #### getRootJobExecutionId

          public long getRootJobExecutionId()

    - #### getJobModels

          public List<JSLJob> getJobModels()

    - #### getPartitionProperties

          public Properties[] getPartitionProperties()

    - #### getAnalyzerQueue

          public BlockingQueue<PartitionDataWrapper> getAnalyzerQueue()

    - #### getCompletedQueue

          public BlockingQueue<BatchPartitionWorkUnit> getCompletedQueue()